// Eye in the SKY
// By PLN

s0.initCam()
pxl = () => (2**(3 + time/10 % 7))
// pxl = 3**4

src(s0)
	.pixelate(pxl,pxl)
	.out(o0)

src(o0).modulateKaleid(
  	noise(9,0.1).luma(0.86,0)
	, 8)
	.out(o1)

src(o1)
	.modulateRepeat(src(o1), 4, 0, 0, () => Math.cosine(time))
  	.out(o2)


src(o2)
	.modulateScale(voronoi(pxl,0.05))
	.rotate(() => Math.sin(time/20 % 360))
	.add(gradient().scale(25),() => Math.sin(-time % 100 / 80))
	.out(o3)

render(o3)